// Vue
import Vue from 'vue';

// 配置
import Setting from '../setting';

// 混合
import mixinApp from '@/mixins/app';

// 插件
import plugins from '@/plugins';

// 多语言
import i18n from '@/i18n';


// 内置组件
import iLink from '@/components/link';

// 使用样式，修改主题可以在 styles 目录下创建新的主题包并修改 iView 默认的 less 变量
// 参考 https://www.iviewui.com/docs/guide/theme
import '../styles/index.less';
// import '../libs/iview-pro/iview-pro.css';

if (window) window.$t = (key, value) => i18n.t(key, value);

Vue.use(plugins);

Vue.component('i-link', iLink);

